=== debian/changelog ===
tex-common (0.15build1) dapper; urgency=low

  * Fake sync from Debian. Closes: LP#28104

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Mar 2006 17:40:31 +0200

tex-common (0.15) unstable; urgency=high

  * Urgency high, because this version adds important checks that should
    be present when the teTeX packages enter testing
  * Add more checks for essential entries in texmf.cnf, and bail out with
    a user-friendly error message if they are missing (closes: #346326)
    [frank]
  * Fix functions in common.functions.in, so that old conffiles of teTeX
    are properly handled, thanks to Ralf Stubner
  * Drop unneeded paths from TEXFONTMAPS, we now have only 3.0's upstream
    value plus our backward-compatibility paths; also change the check in
    the postinst accordingly (although the old one would still work, we do
    not allow it for simplicity's sake). [frank]
  * Fix typo in dh_installtexfonts which would echo wrong file names, and
    add --quiet to the call of update-updmap in the debhelper scripts
    [preining]
  * Again fixed extensions of files to purge, and take over correct
    language.dat handling from tetex-base (see: #321804). [frank]
  * Move the handling of 00updmap.cfg from postinst to preinst, where it
    belongs [frank]
  * Fix typo in manpage for update-language, thanks to Nicolas François
    <nicolas.francois@centraliens.net> (closes: #349723) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Jan 2006 22:24:06 +0100

tex-common (0.14) unstable; urgency=low

  * Bump standards version to 3.6.2 (no changes needed)
  * Move debiandoc-sgml from Build-Dep to Build-Dep-Indep
  * Fix a couple of lintian errors and warnings
  * Fix dvips config syntax, thanks to Danai SAE-HAN [preining]
  * Rework the debhelper snippets post(inst|rm)-texfonts [preining]

 -- Norbert Preining <preining@logic.at>  Thu, 22 Dec 2005 16:38:54 +0100

tex-common (0.13) unstable; urgency=low

  * tex-common now provides the symlink /usr/share/texmf/doc -->
    ../doc/texmf, because tetex-doc now puts its files into TEXMFDIST
    [frank].
  * Do no longer install teTeX's common.* files and dsf-patch.mk, they are
    no longer used.
  * Implement --flavor for dh_installtexfonts, first flavors are only
    for generating config files for maps [preining].
  * Fix brace expansion in pdksh, patch from Robert Luberda 
    (closes: #342781) [preining]
  * Add fonts/hbf to the search path for T1 fonts, this is needed by
    cjk-latex. [frank]
  * Translations:
    - Update Czech debconf translation, thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz> (closes: #341941) [frank]
    - Fix italian translation file, this really closes: #340031 [frank]

 -- Frank Küster <frank@debian.org>  Sun, 11 Dec 2005 14:53:05 +0100

tex-common (0.12) unstable; urgency=low

  * change ls_R_magic to include ., ./, and ls-R so that kpathsea does
    not moan about unusable entry. [preining]
  * Document TEXMFSYSCONFIG in the Policy Draft, and add some more
    clarifications to the text [frank]
  * change TEXMFDIST to include texmf-texlive and texmf-tetex [preining] 
  * Translations:
    - Update French debconf translation, thanks to Clément Stenac
      <zorglub@via.ecp.fr> (closes: #341721) [frank]

 -- Frank Küster <frank@debian.org>  Fri,  2 Dec 2005 17:40:04 +0100

tex-common (0.11) unstable; urgency=low

  * Check for correct setting of TEXFONTMAPS after possible user
    interaction in postinst, and fail with a clear error message, instead
    waiting for teTeX's or TeXLive's updmap calls to fail (closes maybe:
    #338585) [frank]
  * Add a function clean_texenvironment to common.functions, to be used
    from TeX package's postinst scripts, and document that in the Policy
    document. [frank]
  * Add the md5sum of the postinst-edited 00updmap.cfg to ucf's database.
    Also fix the logic for taking over changed settings from tetex-base,
    and create 00updmap.cfg with proper permissions.  Special thanks to
    Junichi Uekawa <dancer@netfort.gr.jp> for insisting (closes: #335682,
    #338689) [frank]
  * The Policy draft has been extended [frank]
  * change TEXMFSYSCONFIG to /etc/texmf and remove the !! before TEXMFCONFIG
    in TEXMF [preining]
  * add TEXMFSYSCONFIG to TEXMF and and reshuffle the order [preining]
  * change TEXMFDBS [preining]
  * Translations:
    - add Swedish debconf translation, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #338866) [frank]
    - update Danish debconf translation, thanks to Claus Hindsgaul
      <claus_h@image.dk> (closes: #339354) [frank]
    - update Italian debconf translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #340031) [frank] 

 -- Frank Küster <frank@debian.org>  Tue, 22 Nov 2005 20:15:41 +0100

tex-common (0.10) unstable; urgency=low

  * tex-common should only Suggest debhelper, not Depend on it. It would
    pull in too many dev packages for every normal user. [preining]
  * Fix the syntax of some eval statements in the config script (closes:
    #336951) [frank]
  * In postinst, create nonexistent ls-R files with proper magic content
    if they are not already present (closes: #337073) [frank]
  * The config script was not idempotent, and reset the debconf default
    for group writable ls-R files on a fresh install. [frank]
  * Remove the ls-R symlink in TEXMFLOCAL, thanks to Lars Wirzenius
    <liw@iki.fi> (closes: #333308). [frank] 
  * Check for leftover .svn directories during build (closes: #327785)
    [frank] 
  * Add the md5sum of a version with a newer comment to the list of known
    md5sums for 00updmap.cfg (closes: #336713) [frank]
  * fix installation of debhelper snippet postrm-texfonts. [preining]
  * actually allow multiple invocations of dh_installtexfonts and
    stop with error if a cfg file is installed several times. [preining]

 -- Frank Küster <frank@debian.org>  Wed,  9 Nov 2005 14:45:34 +0100

tex-common (0.9) unstable; urgency=low


