=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 4.0.0), eperl
Build-Depends-Indep: debiandoc-sgml, po-debconf, debiandoc-sgml
Standards-Version: 3.6.2

Package: tex-common
Architecture: all
Depends: ucf, ${misc:Depends}
Suggests: debhelper (>= 4.0)
Replaces: tetex-base (<= 3.0-10)
Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
Description: Common infrastructure for using and building TeX in Debian
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System, either teTeX or
 TeX-Live.
 .
 It also contains some files used when creating tetex packages from
 the Debian source packages, and which allow a synchronisation between
 the two source packages of teTeX (tetex-base and tetex-bin) and
 tex-live.
