=== debian/changelog ===
tex-common (0.25) unstable; urgency=low

  * Translations:
    - Fix typos in french debconf translation, thanks to Florentin Duneau
      <f.baced@wanadoo.fr> (closes: #374632) [frank]
    - Update brazilian Portuguese debconf translation, thanks to Andre
      Luis Lopes <andrelop@debian.org> and Felipe Augusto van de Wiel
      <felipe@cathedrallabs.org> [frank]

  * scripts/update-fontlang:
      - don't include ${conffile} in the generated file if
        ${conffile}.dpkg-new exists ($conffile may not be up-to-date in this
        case);
        see http://lists.debian.org/debian-tetex-maint/2006/06/msg00260.html
        for a discussion of this subject.
      - cosmetic fixes. [florent]
  
  * Update scripts/update-updmap.1 and doc/Debian-TeX-Policy.sgml
    accordingly. [florent]

 -- Florent Rougon <frn@debian.org>  Mon, 26 Jun 2006 10:37:04 +0200

tex-common (0.24) unstable; urgency=low

  * Updated debconf translations:
    - French, thanks to Steve <dlist@bluewin.ch> (closes: #369360) [frank]

  * dhit_check_run_without_errors() in postrm-tex was not completely silent
    even if called with -silent (outputing 3 ugly lines starting with a space
    followed by "done."). This is now fixed. [florent]

 -- Florent Rougon <frn@debian.org>  Sun, 18 Jun 2006 23:14:27 +0200

tex-common (0.23) unstable; urgency=low

  * After the groupname question has been renamed, make sure that the new
    questions are not shown again when the old one has already been seen,
    and unregister the old question (closes: #366812) [frank]
  * Fix bashism in config (closes: #366789) [frank]
  * Fix our check for a working configuration in texmf.d, and write short
    information messages to stderr for the noninteractive frontend or for
    people who don't have a pencil (closes: #366907), thanks Ralf [frank]
  * Make sure the font cache directory is always world-writeable - we
    previously missed the case where apt-utils are installed in a buildd
    chroot (again closes: #354113, #366858) [frank]
  * Updated debconf translations: [frank]
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #367162) 
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #367180) 
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #367183)
  * Debian TeX Policy:
    Remove last occurrences of obsolete TEXMFSITE.

 -- Frank Küster <frank@debian.org>  Wed, 17 May 2006 18:56:32 +0200

tex-common (0.22) unstable; urgency=low

  * Also install FileUtils.pm which is needed by tpm2licenses [frank]
  * Make running of update-* commands silent in the debhelper postrm
    helper scripts (Closes: #365070) [preining]
  * Debconf translations:
    - updated wording of swedish template, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #365992) [frank]
  * Change the configuration scheme again a little: Before accepting a
    group name typed by the user, test whether it really exists.
    Furthermore, if there is only one user in the "normal user" range in
    /etc/passwd, suggest their group as the owner of the font cache.  And
    finally, make the wording clearer everywhere.  Many thanks to Anthony
    DeRobertis <anthony@derobert.net>, James R. Van Zandt"
    <jrvz@comcast.net> and Helge Hafting <helge.hafting@aitel.hist.no>
    (closes: #366107, #366095, #365513) [frank]
  * Fix lintian warnings and errors: [frank]
    - Move eperl to Build-Depends-Indep
    - Fix my name in update-language(8)
    - Add overrides for the font cache permissions and our debconf note if
      the postinst script fails. 
  * Bump standards version (no changes needed) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 10 May 2006 13:19:52 +0200

tex-common (0.21) unstable; urgency=low

  * Syntax error: postinst script silently failed when it should have
    displayed a debconf warning [frank]
  * Improve readability of eperl scripts in debian/ as in tetex-bin [jdg]
  * Adjust priority of the groupname debconf question to be the same as
    the managecache question (closes: #360127) [frank]
  * Fix eperl open commands in maintainer scripts to work with -k [jdg]
  * Made preinst a /bin/sh script [jdg]
  * Install the tpm2licenses Perl script and the Tpm.pm module into
    /usr/share/tex-common for more convenient use [frank].
  * Add to the source package a ChangeLog file to keep track of the
    copyright/licensing verification work I'm doing [frank]
  * Update debconf translations:
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #360035)
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #360212)
    - Spanish by Javier Fernández-Sanguino Peña <jfs@computer.org>
    - Swedish by Daniel Nylander <po@danielnylander.se> 
    - Turkish by Osman Yuksel <yuxel@sonsuzdongu.com>
    - Lithuanian by Kęstutis Biliūnas <kebil@kaunas.init.lt> (closes:
      #360282)
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #360645)
    - Japanese by Kenshi Muto <kmuto@topstudio.co.jp> (closes: #360679)
    - German by Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
    - French by steve <dlist@bluewin.ch> (closes: #362426)
    Many thanks to all contributors! [frank]

 -- Frank Küster <frank@debian.org>  Fri, 21 Apr 2006 09:49:06 +0200

tex-common (0.20) unstable; urgency=medium

  * This version fixes a RC bug (#357983) - the version in testing was not
    affected.  But taken together, 0.20 fixes lots of important and
    annoying bugs that also exist in testing that I'm increasing the
    urgency. [frank]
  * Change wording in debconf template and README.Debian to clearly
    indicate that per default users are not member of the "users" group,
    (closes: #356960, #357983) [frank]
  * Install reportbug control script to report with tetex and texlive
    packages [frank]
  * update-fontlang: Change the note that is displayed when the output
    file is a symlink to an error message (displayed also in quiet mode)
    (closes: #357289) [frank]

