=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 4.0.0), eperl
-Build-Depends-Indep: debiandoc-sgml, po-debconf, debiandoc-sgml
-Standards-Version: 3.6.2
+Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
+Build-Depends: debhelper (>= 4.0.0)
+Build-Depends-Indep: debiandoc-sgml, po-debconf, eperl
+Standards-Version: 3.7.2.0
 
 Package: tex-common
 Architecture: all
