## tex-common 0.42

=== doc/Makefile ===
DESTDIR = /usr/share/doc/tex-common
TDS_VERSION = 1.1

CLEANFILES = Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt TeX-on-Debian.txt TeX-on-Debian.html TeX-on-Debian.tpt

all: policy-txt policy-html policy-pdf tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

policy-txt: Debian-TeX-Policy.sgml version.ent
	debiandoc2text Debian-TeX-Policy.sgml

policy-html: Debian-TeX-Policy.sgml version.ent
	debiandoc2html Debian-TeX-Policy.sgml

policy-pdf: Debian-TeX-Policy.pdf

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml version.ent tex-sed
	debiandoc2latexpdf -s ./tex-sed Debian-TeX-Policy.sgml

tex-on-debian-txt: TeX-on-Debian.sgml
	debiandoc2text TeX-on-Debian.sgml

tex-on-debian-html: TeX-on-Debian.html
tex-on-debian-pdf: TeX-on-Debian.pdf

TeX-on-Debian.html: TeX-on-Debian.sgml
	debiandoc2html TeX-on-Debian.sgml

TeX-on-Debian.pdf: TeX-on-Debian.sgml tex-sed
	debiandoc2latexpdf -s ./tex-sed TeX-on-Debian.sgml

get-tds:
	wget ftp://www.tug.org/tex/tds.tar.gz
	tar -xzf tds.tar.gz
	rm tds.tar.gz

tds-all:
	cd tds-$(TDS_VERSION); make tds.pdf
	cd tds-$(TDS_VERSION); make tds.dvi
	cd tds-$(TDS_VERSION); make tds.html

install: 
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/
	cp TeX-on-Debian.txt $(DESTDIR)/
	cp TeX-on-Debian.pdf $(DESTDIR)/
	cp -R TeX-on-Debian.html $(DESTDIR)/
	
	cp tds-$(TDS_VERSION)/tds.pdf $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.dvi $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.html $(DESTDIR)/

clean: tds-clean
	-rm -r $(CLEANFILES)

tds-clean:
	-rm tds-$(TDS_VERSION)/tds.texi*

allclean: clean
	-rm  Debian-TeX-Policy.pdf
	-rm  TeX-on-Debian.pdf

.PHONY: all install clean allclean \
        policy-txt policy-html policy-pdf \
        tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf
