=== debian/changelog ===
tex-common (0.42) unstable; urgency=low

  * Documentation fixes to update-fontlang.1:
      - the .TH line was broken, causing an ugly footer in the formatted
        manpage;
      - the SYNOPSIS had an incorrect syntax ('-language', '-updmap', and
        '-fmtutil' aren't optional) and the new way is much easier to read
        anyway IMO;
      - always mention the programs in that order: update-updmap,
        update-language and update-fmtutil (reason is, I think the average
        user is more likely to need update-updmap than any of the two
        others);
      - the arguments to some options were forgotten, as in the
        update-fontlang usage message ('--help');
      - better option formatting (for those with a short and a long form;
         copied from /usr/share/man/man1/man.1.gz);
      - the default values for TEXMFCONFIG and TEXMFVAR do *not* end with
        a slash;
      - the path to TeX-on-Debian.txt.gz was wrong;
      - s/updmap.sys/updmap.cfg/;
      - s/TEMXF/TEXMF/ in a few places;
      - a package may install *several* files in each /etc/texmf/*.d
        directory (and list them in the .list files under
        /var/lib/tex-common).
      - a bit more details here and there;
      - more formatting to ease reading (such as italics), punctuation,
        typographical fixes. [florent]

  * Fix to update-fontlang: don't forget the arguments to '-c' and '-o' in
    the usage message ('--help'). [florent]
  
  * Minor fixes to postrm-texlsr to avoid having too long lines (greater
    than 80 characters). [florent]

  * remove the left-over definition of dhit_check_run_without_errors in
    postrm-tex, it is included in postrm-texlsr (Closes: #402068). [NP]

 -- Frank Küster <frank@debian.org>  Mon, 11 Dec 2006 19:46:08 +0100

tex-common (0.41) unstable; urgency=low

  * Install the TDS specification along with the Debian TeX Policy
    (closes: #401196) [frank]
  * Register ucf files with ucfr (closes: #395018) [frank]
  * Refined wording and typography of the documentation documents

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 19:03:21 +0100

tex-common (0.40) unstable; urgency=low

  * Register TeX-on-Debian and the policy with doc-base
  * Change the wording of Policy to indicate more clearly that everything
    can (and should) be done using dh_installtex.

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 11:08:26 +0100

tex-common (0.39) unstable; urgency=low

  * changelog editing: fix wrong bugnumber in last upload [frank]
  * Add a more verbose explanation to the warning when updmap-sys failed
    (closes: #397717), and echo errors to stderr. [frank]
  * Change default priority for dh_installtex to 20, and document in the
    TeX Policy that 10 is reserved for Basic TeX packages.  This would
    have avoided bug #399447. [frank]

 -- Frank Küster <frank@debian.org>  Tue, 21 Nov 2006 18:32:32 +0100

tex-common (0.38) unstable; urgency=low

  * install update-fontlang and the three links all into /usr/bin
    and keep symlinks in /usr/sbin for old packages. Update the man page
    of update-fontlang. (Closes: #396822) [preining]
  * Clear up the description about user-specific configuration in
    TeX-on-Debian, many thanks to Géraud Meyer <geraud_meyer@hotmail.com>
    (closes: #396826) [preining,frank]
  * Debconf translation updates: [frank]
    - French, thanks to Christian Perrier (closes: #395844)
    - Italian, thanks to Luca Monducci <luca.mo@tiscali.it> (closes:
      #396101)
    - German, thanks to Helge Kreutzmann <debian@helgefjell.de> (closes:
      #396036)
    - All others except the heavily outdated ca.po where unfuzzied by me,
      even in Japanese I can change "dpkg-dist" to "ucf-dist" [frank]

 -- Frank Küster <frank@debian.org>  Fri,  3 Nov 2006 14:14:12 +0100

tex-common (0.37) unstable; urgency=low

  * Fix bashism in postinst, thanks to Michael Biebl <biebl@teco.edu>
    (closes: #395274) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Oct 2006 08:14:29 +0200

tex-common (0.36) unstable; urgency=medium

  * Depend on debconf (>= 1.4.69), which introduced the error template
    type (closes: #395032).  This broke upgrades, hence the urgency
    [frank] 
  * Fix format extraction regexp in dh_installtex, the format name must
    now be at the beginning of the line, without any leading whitespace,
    but hyphens are allowed in the name.  Thanks Ralf. [preining]
  * dh_installtex: Include only the minimal mktexlsr code in case no other
    installation is done (ie no maps, formats, languages).  Also add the
    ability to specify texmf trees on the command line, and only recreate
    the ls-R DB for /usr/share/texmf and /var/lib/texmf [preining]
    (Closes: #392359)
  * Add engine-specific paths to the TEXFORMATS and TEXFONTMAPS variables,
    and avoid triple slashes.  This is completely backwards-compatible (it
    only adds path components), and is needed for the planned separate
    context package.  Thanks to Ralf Stubner for the details!
    [preining,frank]

 -- Frank Küster <frank@debian.org>  Wed, 25 Oct 2006 13:16:13 +0200

tex-common (0.35) unstable; urgency=low

  * Use local variables in debianize-updmap, so that the right file for
    enabling font maps will be found (closes: #393920) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 18 Oct 2006 17:58:09 +0200

tex-common (0.34) unstable; urgency=medium

  * Handle non-writable /usr/local gracefully upon removal, thanks to Sam
    Hocevar <sam@zoy.org> (closes: #392518) [frank]
  * Change debianize-updmap so that the --syncwithtrees and --edit options
    do something sensible, and won't break the system. Together with the
    upload of tetex-bin 3.0-22, this will close #392573 and #334747.
    [frank]
  * Add a check for shadowed config files to update-fontlang [preining]
  * Move and extend the teTeX README.Debian to TeX-on-Debian Documentation
    [frank, preining]
  * Move po-debconf from Build-Depends-Indep to Build-Depends, since it's

