=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: debiandoc-sgml, po-debconf, eperl
+Build-Depends: debhelper (>= 4.0.0), po-debconf
+Build-Depends-Indep: debiandoc-sgml, eperl
 Standards-Version: 3.7.2.0
 
 Package: tex-common
 Architecture: all
-Depends: ucf, ${misc:Depends}
+Depends: ucf, ${misc:Depends}, debconf (>= 1.4.69) | debconf-2.0
 Suggests: debhelper (>= 4.0)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
