=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,15 @@
 
 INSTDIR=$(CURDIR)/debian/tex-common
 
-bin_scripts=dh_installtex
-sbin_scripts=update-texmf update-fontlang
-nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm
+bin_scripts=dh_installtex update-fontlang
+sbin_scripts=update-texmf
+nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm tetex-bin-upgrade 01tetex.cnf 01tetex.cnf.md5sum debianize-updmap
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
-sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) scripts/update-fmtutil.8 scripts/update-language.8
+sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) 
 
 bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
-bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) scripts/update-updmap.1
+bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 
 
 nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script))
 
@@ -75,34 +75,30 @@
 	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
         # ucf files
 	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
-	ln -s /etc/texmf/texmf.cnf $(INSTDIR)/usr/share/texmf/web2c/texmf.cnf
 	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
 	cp -a debian/md5sums/* $(INSTDIR)/usr/share/tex-common/
 	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
 	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
 	cp $(nonbin_installfiles) $(INSTDIR)/usr/share/tex-common/
-	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-language
-	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-fmtutil
-	ln -s ../sbin/update-fontlang $(INSTDIR)/usr/bin/update-updmap
 
         # debhelper stuff
         # dh_installtex(.1) is already installed via the bin_scripts
 	grep -v '^[ \t]*#' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
 	grep -v '^[ \t]*#' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
+	grep -v '^[ \t]*#' scripts/postrm-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texlsr
+	grep -v '^[ \t]*#' scripts/postinst-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texlsr
 
-        # ship /var/cache/fonts with proper permissions
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source
+        # fontcache stuff with proper permissions
+	install -d $(INSTDIR)/etc/texmf/web2c/
+	install -m 644 texmf/web2c/mktex.cnf $(INSTDIR)/etc/texmf/web2c/
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source
 
         # Remove the out-of-date ls-R file from /usr/share/texmf and create a
         # link to one in /var/lib/texmf that we can update without violating
-        # the FHS.
-	rm -f debian/$package/usr/share/texmf/ls-R
-	ln -s /var/lib/texmf/ls-R-TEXMFMAIN $(INSTDIR)/usr/share/texmf/ls-R
-
-        # Create a symlink in TEXMFMAIN for docs
-	ln -s ../doc/texmf $(INSTDIR)/usr/share/texmf/doc
+        # the FHS (symlink created by dh_link)
+	rm -f debian/$(package)/usr/share/texmf/ls-R
 
         # Debian-specific stuff
 	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control
