## tex-common 1.0.1~bpo.1

=== debian/changelog ===
tex-common (1.0.1~bpo.1) sarge-backports; urgency=low

  * Upload to sarge-backports
  * No source changes

 -- Frank Küster <frank@debian.org>  Mon, 12 Mar 2007 11:41:03 +0100

tex-common (1.0.1) unstable; urgency=low

  * fix a bug in dh_installtex which prohibits --priority to work
    correctly for command line config files. [NP]
  * add myself to the list of Uploaders. [NP]

 -- Norbert Preining <preining@debian.org>  Mon, 26 Feb 2007 18:08:22 +0100

tex-common (1.0) unstable; urgency=low

  * Release as version 1.0, tex-common has been stable for months and
    deserves a non-zero version number
  * Debconf translations: [frank]
    - New Romanian translation, thanks to Eddy Petrișor
      <eddy.petrisor@gmail.com> (closes: #409267) 
    - New Portuguese Brazilian translation, thanks to the Traduz
      MailingList <traduz@debianpt.org> (closes: #408866)
    - Updated Catalan translation, thanks to Guillem Jover
      <guillem@debian.org> (closes: #409162)

 -- Frank Küster <frank@debian.org>  Mon,  5 Feb 2007 10:55:26 +0100

tex-common (0.44) unstable; urgency=low

  * Use full pathname when registering files with ucf (closes: #408263) 
  * New and updated debconf translations:
    - Galician by Jacobo Tarrio <jtarrio@trasno.net> (closes: #408122)

 -- Frank Küster <frank@debian.org>  Fri, 26 Jan 2007 18:10:23 +0100

tex-common (0.43) unstable; urgency=low

  * Register documentation in section TeX instead of Text (closes:
    #403086) [frank]
  * Debconf translations: 
    - add Russian translation, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #406872)

 -- Frank Küster <frank@debian.org>  Mon, 15 Jan 2007 07:51:34 +0100
