## tex-common 1.0.1-0maemo1+0m5

=== debian/changelog ===
tex-common (1.0.1-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Thu, 07 May 2009 16:54:19 +0300

tex-common (1.0.1-0maemo1) unstable; urgency=low

  * Add scratchbox paths to cnf files

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 07 May 2009 16:08:57 +0300
