## tex-common 1.9

=== debian/changelog ===
tex-common (1.9) unstable; urgency=low

  * Make sure that update-fontlang detects TEXMFVAR properly even if the
    directory does not yet exist (closes: #428448) [fk].
  * let update-fontlang and debianize-updmap create TEXMFCONFIG if  it
    doesn't exist yet (at least when there's only one directory in that
    variable) [fk].

 -- Frank Küster <frank@debian.org>  Tue, 19 Jun 2007 11:32:09 +0200

tex-common (1.8) unstable; urgency=medium

  * Bump urgency since this fixes a RC bug which hits anyone upgrading
    from lenny to sid and triggers a forkbomb.  Urgency only medium
    because of the long list of unrelated other changes. [fk]
  * Add a workaround for the fork bomb problem in format generation:
    Ignore jadetex and xmltex if latex is not present (closes: #427562) [fk]
  * make proper ucfr checking in maintainer scripts (Closes: #409897) [np]
  * rework the code generated by dh_installtex in the postinst script.
    Now at postinst/configure time fmtutil-sys is called with
      --all --cnffile <file>
    where <file> are the fmt.d config files installed by the package. This
    way a dpkg-reconfigure will create *all* formats defined in the config
    file, even if the sysadm has defined additional formats.
    (Closes: #418983) [np]
  * Update snippets in texmf.d according to a reordering patch accepted
    upstream [fk]
  * (first) rework of Debian-on-TeX document for TeX Live only [np]
  * add a list of old files from teTeX which can be removed
  * Do not install unused 01tetex.cnf and its md5sum file [fk]
  * dh_installtex: rewrite $engine to metafont if $engine = mf|mf-nowin
  * Install a copy of mktex.cnf in /usr/share/tex-common, and advice in
    NEWS.Debian to reinstall it. [fk]
  * Debconf translations: Added Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au> (closes: #426881)
  * implement an opion --nosourcefiles for tpm2licenses to not check 
    source files
  * Add symlinks "README.Debian.$ext" to the respective "TeX-on-Debian"
    formats. [fk]

 -- Frank Küster <frank@debian.org>  Mon, 11 Jun 2007 10:14:14 +0200

tex-common (1.7) unstable; urgency=low

  * Undo the changes of the autoscripts snippets ordering, debhelper has
    changed back to the former method.

 -- Norbert Preining <preining@debian.org>  Sat, 14 Apr 2007 08:39:46 +0200

tex-common (1.6) unstable; urgency=low

  * Document in NEWS.Debian that support for ls-R in TEXMFHOME has been
    dropped [fk]

  * Policy: Add a chapter on meta-packages and document that they are
    usually not acceptable as dependencies

  * reverse the order of autoscripts snippets in postrm (Closes: #418984)

  * change alternative dep on cdebconf to (>= 0.39), lintian error.

 -- Norbert Preining <preining@debian.org>  Fri, 13 Apr 2007 09:34:44 +0200

tex-common (1.5) unstable; urgency=low

  * fix missing tetex component of TEXMFDIST (Closes: #418674)

 -- Norbert Preining <preining@debian.org>  Wed, 11 Apr 2007 09:45:29 +0200

tex-common (1.4) unstable; urgency=low

  * Change main_memory to 1500000 to go with the main_memory of mpost
    and TeX Live's texmf.cnf. This change is needed to make mpost work
    under all circumstances [np].
  * Update settings and comments in the texmf.cnf snippets to match
    upstream's as close as possible [fk]
  * Drop backwards compatibility hacks for paths (see NEWS.Debian) [fk]
  * Enable parse-first-line feature, except for Knuth's "tex". [fk]
  * Update Tpm.pm and FileUtils.pm from TeXLive 2007 [fk]

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2007 17:52:56 +0200

tex-common (1.3) experimental; urgency=low

  * Fix typography in Debian-on-TeX, thanks to Miguel de Val Borro
    <miguel.deval@gmail.com> (closes: #413449) [frank]

  * In the source package, replace 'tex-sed' with a Python script named
    'texify-tex-output' to do a better job (handling all known cases so
    far, some of which seemed rather difficult to implement in sed).

    We don't need to Build-Depend on Python, because this script is only
    used when we generate PDF output from the DebianDoc documents
    (Debian-TeX-Policy, TeX-on-Debian), which we don't do at build time
    in order to avoid chicken-and-egg problems. [florent]

  * Add engine subdirectories to the search paths for MetaFont and
    MetaPost, too.  Thanks to Jörg Sommer <joerg@alea.gnuu.de>

  * Change the dh_installtex removal logic since format dumps are placed
    into engine subdirectories. We now remove all format dumps and log files
    in /v/l/t/web2c and /v/l/t/web2c/$engine/

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2007 01:28:27 +0100

tex-common (1.2) experimental; urgency=low

  * rename flavor format:no_format_links to format:no_links (nobody is using
    it already), and document it [NP]
  * increase trie_size to 400000 to allow the loading of all texlive 
    hyphenation patterns [NP]
  * Make sure that dh_installtex's postrm snippets won't try to run
    fmtutil-sys when it might be already uninstalled.

 -- Frank Küster <frank@debian.org>  Fri,  9 Mar 2007 16:12:17 +0100

tex-common (1.1) experimental; urgency=low

  * Upload to experimental.  This version is needed to build TeXLive
    2007.
  * Increase trie_size to the value in TeXLive 2007, and update the
    comment from their texmf.in file, too.
  * Only strip comments with '^[ \t]*# ' from the auto files to preserve
    comments starting with ## [NP]
  * small fix to dh_installtex for useless inclusion of postinst-tex
    (move the definition of $dothefullstuff into the package loop)
  * implement flavors format:build_all and format:add_one:formatname
  * let dh_installtex automatically create links for formats installed
    and add flavor to disable this behaviour.
  * fix a bug in dh_installtex which prohibits --priority to work
    correctly for command line config files. [NP]
  * add Norbert Preining <preining@debian.org> to the uploaders
  * add lintian overrides for wrongly detected bashism


